<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2019 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License
  -->

<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:padding="12dp">

    <SeekBar
        android:id="@+id/back_sensitivity_seekbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:min="0"
        android:max="3"
        style="@android:style/Widget.Material.SeekBar.Discrete"
        android:theme="@*android:style/ThemeOverlay.DeviceDefault.Accent" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginTop="2dp"
        android:layout_marginBottom="8dp">

        <TextView android:id="@+id/low_tick"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:layout_weight="1"
                  android:layout_marginBottom="2dp"
                  android:layout_marginStart="12dp"
                  android:gravity="start"
                  android:text="@string/low_label"
                  android:textAppearance="?android:attr/textAppearance"
                  android:singleLine="true"
                  android:ellipsize="marquee" />

        <TextView android:id="@+id/high_tick"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:layout_weight="1"
                  android:layout_marginBottom="2dp"
                  android:layout_marginEnd="12dp"
                  android:gravity="end"
                  android:text="@string/high_label"
                  android:textAppearance="?android:attr/textAppearance"
                  android:singleLine="true"
                  android:ellipsize="marquee" />

    </LinearLayout>

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:layout_marginStart="12dp"
        android:textAppearance="?android:attr/textAppearance"
        android:text="@string/back_height_message"
        style="@android:style/TextAppearance.Material.Subhead" />

    <SeekBar
        android:id="@+id/back_height_seekbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:min="0"
        android:max="3"
        style="@android:style/Widget.Material.SeekBar.Discrete"
        android:theme="@*android:style/ThemeOverlay.DeviceDefault.Accent"
        android:layout_marginTop="12dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginTop="2dp"
        android:layout_marginBottom="8dp">

        <TextView android:id="@+id/back_height_low_tick"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:layout_weight="1"
                  android:layout_marginBottom="2dp"
                  android:layout_marginStart="12dp"
                  android:gravity="start"
                  android:text="@string/back_height_low_label"
                  android:textAppearance="?android:attr/textAppearance"
                  android:singleLine="true"
                  android:ellipsize="marquee" />

        <TextView android:id="@+id/back_height_high_tick"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:layout_weight="1"
                  android:layout_marginBottom="2dp"
                  android:layout_marginEnd="12dp"
                  android:gravity="end"
                  android:text="@string/back_height_high_label"
                  android:textAppearance="?android:attr/textAppearance"
                  android:singleLine="true"
                  android:ellipsize="marquee" />

    </LinearLayout>

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:layout_marginStart="12dp"
        android:textAppearance="?android:attr/textAppearance"
        android:text="@string/home_handle_sizer_title"
        style="@android:style/TextAppearance.Material.Subhead" />

    <SeekBar
        android:id="@+id/home_handle_seekbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:min="0"
        android:max="2"
        style="@android:style/Widget.Material.SeekBar.Discrete"
        android:theme="@*android:style/ThemeOverlay.DeviceDefault.Accent"
        android:layout_marginTop="12dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginTop="2dp"
        android:layout_marginBottom="8dp">

        <TextView android:id="@+id/home_handle_low_tick"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:layout_weight="1"
                  android:layout_marginBottom="2dp"
                  android:layout_marginStart="12dp"
                  android:gravity="start"
                  android:text="@string/home_handle_low_label"
                  android:textAppearance="?android:attr/textAppearance"
                  android:singleLine="true"
                  android:ellipsize="marquee" />

        <TextView android:id="@+id/home_handle_high_tick"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:layout_weight="1"
                  android:layout_marginBottom="2dp"
                  android:layout_marginEnd="12dp"
                  android:gravity="end"
                  android:text="@string/home_handle_high_label"
                  android:textAppearance="?android:attr/textAppearance"
                  android:singleLine="true"
                  android:ellipsize="marquee" />

    </LinearLayout>

    <Switch
        android:id="@+id/back_block_ime"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:layout_marginStart="12dp"
        android:text="@string/back_block_ime_message"
        android:textAppearance="?android:attr/textAppearance"
        style="@android:style/TextAppearance.Material.Subhead" />

    <Switch
        android:id="@+id/back_gesture_haptic"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:layout_marginStart="12dp"
        android:text="@string/back_gesture_haptic_message"
        android:textAppearance="?android:attr/textAppearance"
        style="@android:style/TextAppearance.Material.Subhead" />

    <Switch
        android:id="@+id/back_arrow_gesture_switch"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:layout_marginStart="12dp"
        android:text="@string/back_gesture_arrow_message"
        android:textAppearance="?android:attr/textAppearance"
        style="@android:style/TextAppearance.Material.Subhead" />

    <Switch
        android:id="@+id/gesture_pill_switch"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:layout_marginStart="12dp"
        android:text="@string/gesture_pill_message"
        android:textAppearance="?android:attr/textAppearance"
        style="@android:style/TextAppearance.Material.Subhead" />
</LinearLayout>
